/*----------------------------------------------------------------------------
    Categorie-colonne
----------------------------------------------------------------------------*/

.categorie-colonne {
  main {
    margin: 0 20px;
    text-align: center;

    h3 {
      margin: 10px 0;
    }

    p {
      margin: 0 0 20px;
    }
  }

  .date-categorie {
    display: flex;

    justify-content: center;

    margin-top: 20px;

    p {
      font-size: $fz-p-mobile-petit;
      margin-left: 10px;
    }
  }

/*----------------------------------------------------------------------------
          Survol sur les boutons lire plus
----------------------------------------------------------------------------*/

  .btn-lire-plus {
    background-color: $color-button;

    margin: 60px auto 0;

    position: relative;

    -webkit-transition: all 0.3s;
    transition: all 0.3s;
  }

  .btn-lire-plus:after {
    content: "";

    position: absolute;
    height: 100%;
    left: 0;
    right: 100%;

    background-color: lighten($color-button, 15%);

    opacity: .5;

    -webkit-transition: all 0.3s;
    transition: all 0.3s;
  }

  .btn-lire-plus:before {
    content: "";

    position: absolute;
    height: 100%;
    width: 100%;
    left: 0;
    top: 0;

    -webkit-transform: translateY(5px);
    transform: translateY(5px);

    background-color: inherit;

    z-index: -1;
  }

  .btn-lire-plus:hover:after,
  .btn-lire-plus.hover:after {
    right: 0;
  }
}

.texte-descriptif {
  margin: auto 20px 0;
}


/*----------------------------------------------------------------------------
    Survol sur les colonnes / différentes catégories
----------------------------------------------------------------------------*/

.article-liens {
  padding-bottom: 30px;
}

.article-liens:hover img {
  opacity: 0.1;
}

.article-liens:hover:after,
.article-liens.hover:after {
  height: 100%;
}

.article-liens:after {
  background-color: #B46E3C;

  bottom: 0;
  content: '';
  height: 0;
  right: 0;

  position: absolute;

  width: 10px;

  -webkit-transition: all 0.45s ease;
  transition: all 0.45s ease;
}

.article-liens {
  background-color: $color-bg-article;
  color: $white;

  margin: 10px;

  overflow: hidden;
  position: relative;

  text-align: center;
}

.article-liens * {
  -webkit-box-sizing: border-box;
  box-sizing: border-box;

  -webkit-transition: all 0.45s ease;
  transition: all 0.45s ease;
}

.article-liens .texte-hover {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;

  z-index: 1;

  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;

  line-height: $lh-normal;
  opacity: 0;
}

.article-liens:hover .texte-hover,
.article-liens.hover .texte-hover {
  opacity: 1;
}

.image-article {
  width: 100%;
}


/*----------------------------------------------------------------------------
    Médias queries
----------------------------------------------------------------------------*/

@media screen and(min-width: $vw-medium) {
  .date-categorie {
    p {
      font-size: $fz-p;
    }

  }

  .article-container {
    display: grid;

    grid-template-columns: 1fr 1fr;
    grid-gap: 20px;
  }

  .grid-center {
    grid-column: 2/3;
  }
}

@media screen and(min-width: $vw-large) {
  .article-container {
    display: grid;

    grid-template-columns: 1fr 1fr 1fr;
    grid-gap: 20px;
  }

  .grid-center {
    grid-column: 2/3;
  }
}
